Name:		SDL2_ttf
Version:	2.20.2
Release:    1%{?dist}
Summary:	TrueType font rendering library for SDL2
License:	zlib
URL:		https://github.com/libsdl-org/SDL_ttf
Source0:	https://github.com/libsdl-org/SDL_ttf/releases/download/release-%{version}/SDL2_ttf-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:	SDL2-devel
BuildRequires:  libGL-devel
BuildRequires:	freetype-devel
BuildRequires:  harfbuzz-devel
BuildRequires:	zlib-devel

%description
This library allows you to use TrueType fonts to render text in SDL2
applications.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	SDL2-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup
rm -rf external
sed -i 's/\r//' README.txt CHANGES.txt LICENSE.txt

%build
%cmake -DSDL2TTF_HARFBUZZ=true
%cmake_build

%install
%cmake_install
find %{buildroot} -type f -name '*.la' -delete -print


%files
%license LICENSE.txt
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/SDL2_ttf/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.20.2-1
- initial build
